Package org.apache.wiki.diff

## Interface DifferenceManager

All Known Implementing Classes:
  `DefaultDifferenceManager`

    public interface DifferenceManager

Load, initialize and delegate to the DiffProvider that will actually do the work.

### Field Summary

Fields
`static java.lang.String` `PROP_DIFF_PROVIDER` Property value for storing a diff provider.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getDiff​(Context context, int version1, int version2)` Returns a diff of two versions of a page.
`java.lang.String` `makeDiff​(Context context, java.lang.String firstWikiText, java.lang.String secondWikiText)` Returns valid XHTML string to be used in any way you please.

### Field Detail

#### PROP_DIFF_PROVIDER

    static final java.lang.String PROP_DIFF_PROVIDER

Property value for storing a diff provider. Value is "jspwiki.diffProvider".

See Also:
  Constant Field Values

### Method Detail

#### makeDiff

    java.lang.String makeDiff​(Context context,
                              java.lang.String firstWikiText,
                              java.lang.String secondWikiText)

Returns valid XHTML string to be used in any way you please.

Parameters:
  `context` - The Wiki Context
  `firstWikiText` - The old text
  `secondWikiText` - the new text
Returns:
  XHTML, or empty string, if no difference detected.

#### getDiff

    java.lang.String getDiff​(Context context,
                             int version1,
                             int version2)

Returns a diff of two versions of a page.

Note that the API was changed in 2.6 to provide a WikiContext object!

Parameters:
  `context` - The WikiContext of the page you wish to get a diff from
  `version1` - Version number of the old page. If WikiPageProvider.LATEST_VERSION (-1), then uses current page.
  `version2` - Version number of the new page. If WikiPageProvider.LATEST_VERSION (-1), then uses current page.
Returns:
  A HTML-ized difference between two pages. If there is no difference, returns an empty string.